## r-cran-webgestaltr 0.4.3

=== DESCRIPTION ===
Package: WebGestaltR
Type: Package
Title: Gene Set Analysis Toolkit WebGestaltR
Version: 0.4.3
Date: 2020-01-16
Authors@R: c(
        person("Jing", "Wang", email = "jingwang.uestc@gmail.com", role = "aut"),
        person("Yuxing", "Liao", email = "yuxingliao@gmail.com", role = c("aut", "cre")),
        person("Eric", "Jaehnig", email = "Eric.Jaehnig@bcm.edu", role = c("ctb")),
        person("Zhiao", "Shi", email = "Zhiao.Shi@bcm.edu", role = c("ctb")),
        person("Quanhu", "Sheng", email = "shengqh@gmail.com", role = c("ctb"))
        )
Description: The web version WebGestalt <http://www.webgestalt.org> supports 12 organisms, 354 gene identifiers and 321,251 function categories. Users can upload the data and functional categories with their own gene identifiers. In addition to the Over-Representation Analysis, WebGestalt also supports Gene Set Enrichment Analysis and Network Topology Analysis. The user-friendly output report allows interactive and efficient exploration of enrichment results. The WebGestaltR package not only supports all above functions but also can be integrated into other pipeline or simultaneously analyze multiple gene lists.
License: LGPL
URL: https://github.com/bzhanglab/WebGestaltR
LazyLoad: yes
Depends: R (>= 3.3)
Imports: methods, dplyr, doRNG, readr, parallel (>= 3.3.2), doParallel
        (>= 1.0.10), foreach (>= 1.4.0), jsonlite, httr, rlang,
        svglite, igraph, whisker, apcluster, Rcpp
NeedsCompilation: yes
LinkingTo: Rcpp
SystemRequirements: C++11
RoxygenNote: 7.0.2
Packaged: 2020-01-16 20:26:41 UTC; yuxingl
Author: Jing Wang [aut],
  Yuxing Liao [aut, cre],
  Eric Jaehnig [ctb],
  Zhiao Shi [ctb],
  Quanhu Sheng [ctb]
Maintainer: Yuxing Liao <yuxingliao@gmail.com>
Repository: CRAN
Date/Publication: 2020-01-16 21:00:03 UTC

## r-cran-webgestaltr 0.4.1

=== debian/changelog ===
r-cran-webgestaltr (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 19:52:30 +0200

r-cran-webgestaltr (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends
    Closes: #929386
  * d/copyright: No comma separated files

 -- Andreas Tille <tille@debian.org>  Thu, 23 May 2019 21:38:22 +0200

r-cran-webgestaltr (0.3.0-1) unstable; urgency=medium

  * Initial release (closes: #929118)

 -- Steffen Moeller <moeller@debian.org>  Mon, 18 Feb 2019 14:47:58 +0100

=== debian/control ===
Source: r-cran-webgestaltr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-dplyr,
               r-cran-dorng,
               r-cran-readr,
               r-cran-doparallel (>= 1.0.10),
               r-cran-foreach,
               r-cran-jsonlite,
               r-cran-httr,
               r-cran-rlang,
               r-cran-igraph,
               r-cran-whisker,
               r-cran-apcluster,
               r-cran-rcpp
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webgestaltr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webgestaltr.git
Homepage: https://cran.r-project.org/package=WebGestaltR

Package: r-cran-webgestaltr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: find over-represented properties in gene lists
 The web version WebGestalt <http://www.webgestalt.org> supports 12
 organisms, 354 gene identifiers and 321,251 function categories. Users
 can upload the data and functional categories with their own gene
 identifiers. In addition to the Over-Representation Analysis, WebGestalt
 also supports Gene Set Enrichment Analysis and Network Topology
 Analysis. The user-friendly output report allows interactive and
 efficient exploration of enrichment results. The WebGestaltR package not
 only supports all above functions but also can be integrated into other
 pipeline or simultaneously analyze multiple gene lists.

## r-cran-webgestaltr 0.4.3

=== debian/changelog ===
r-cran-webgestaltr (0.4.3-1build2) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:27:28 +0000

r-cran-webgestaltr (0.4.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:01:20 +0100

r-cran-webgestaltr (0.4.3-1) unstable; urgency=medium

  * Team upload.
  * Drop unneeded lintian-overrides
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jan 2020 09:32:01 +0100

r-cran-webgestaltr (0.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 18 Sep 2019 09:13:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: r-cran-webgestaltr
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-dplyr,
@@ -15,11 +16,12 @@
                r-cran-jsonlite,
                r-cran-httr,
                r-cran-rlang,
+               r-cran-svglite,
                r-cran-igraph,
                r-cran-whisker,
                r-cran-apcluster,
                r-cran-rcpp
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webgestaltr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webgestaltr.git
 Homepage: https://cran.r-project.org/package=WebGestaltR

## r-cran-webgestaltr 0.4.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: WebGestaltR
 Type: Package
 Title: Gene Set Analysis Toolkit WebGestaltR
-Version: 0.4.3
-Date: 2020-01-16
+Version: 0.4.4
+Date: 2020-07-23
 Authors@R: c(
         person("Jing", "Wang", email = "jingwang.uestc@gmail.com", role = "aut"),
         person("Yuxing", "Liao", email = "yuxingliao@gmail.com", role = c("aut", "cre")),
@@ -22,7 +22,7 @@
 LinkingTo: Rcpp
 SystemRequirements: C++11
 RoxygenNote: 7.0.2
-Packaged: 2020-01-16 20:26:41 UTC; yuxingl
+Packaged: 2020-07-24 05:26:05 UTC; Yuxing
 Author: Jing Wang [aut],
   Yuxing Liao [aut, cre],
   Eric Jaehnig [ctb],
@@ -30,4 +30,4 @@
   Quanhu Sheng [ctb]
 Maintainer: Yuxing Liao <yuxingliao@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-01-16 21:00:03 UTC
+Date/Publication: 2020-07-24 05:50:02 UTC

=== debian/changelog ===
r-cran-webgestaltr (0.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 15:12:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-cran-webgestaltr
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-dplyr,
@@ -21,10 +20,11 @@
                r-cran-whisker,
                r-cran-apcluster,
                r-cran-rcpp
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webgestaltr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webgestaltr.git
 Homepage: https://cran.r-project.org/package=WebGestaltR
+Rules-Requires-Root: no
 
 Package: r-cran-webgestaltr
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/WebGestaltR_([-\d.]*)\.tar\.gz

## r-cran-webgestaltr 0.4.5

=== DESCRIPTION ===
Package: WebGestaltR
Type: Package
Title: Gene Set Analysis Toolkit WebGestaltR
Version: 0.4.5
Date: 2023-02-10
Authors@R: c(
        person("Jing", "Wang", email = "jingwang.uestc@gmail.com", role = "aut"),
        person("Yuxing", "Liao", email = "yuxingliao@gmail.com", role = c("aut", "cre")),
        person("Eric", "Jaehnig", email = "Eric.Jaehnig@bcm.edu", role = c("ctb")),
        person("Zhiao", "Shi", email = "Zhiao.Shi@bcm.edu", role = c("ctb")),
        person("Quanhu", "Sheng", email = "shengqh@gmail.com", role = c("ctb"))
        )
Description: The web version WebGestalt <https://www.webgestalt.org> supports 12 organisms, 354 gene identifiers and 321,251 function categories. Users can upload the data and functional categories with their own gene identifiers. In addition to the Over-Representation Analysis, WebGestalt also supports Gene Set Enrichment Analysis and Network Topology Analysis. The user-friendly output report allows interactive and efficient exploration of enrichment results. The WebGestaltR package not only supports all above functions but also can be integrated into other pipeline or simultaneously analyze multiple gene lists.
License: LGPL
URL: https://github.com/bzhanglab/WebGestaltR
LazyLoad: yes
Depends: R (>= 3.3)
Imports: methods, dplyr, doRNG, readr, parallel (>= 3.3.2), doParallel
        (>= 1.0.10), foreach (>= 1.4.0), jsonlite, httr, rlang,
        svglite, igraph, whisker, apcluster, Rcpp
NeedsCompilation: yes
LinkingTo: Rcpp
RoxygenNote: 7.2.3
Packaged: 2023-02-16 18:53:29 UTC; yuxingl
Author: Jing Wang [aut],
  Yuxing Liao [aut, cre],
  Eric Jaehnig [ctb],
  Zhiao Shi [ctb],
  Quanhu Sheng [ctb]
Maintainer: Yuxing Liao <yuxingliao@gmail.com>
Repository: CRAN
Date/Publication: 2023-02-16 19:10:02 UTC

=== debian/changelog ===
r-cran-webgestaltr (0.4.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 16:09:59 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-dplyr,
                r-cran-dorng,
                r-cran-readr,
-               r-cran-doparallel (>= 1.0.10),
+               r-cran-doparallel,
                r-cran-foreach,
                r-cran-jsonlite,
                r-cran-httr,
@@ -20,7 +20,7 @@
                r-cran-whisker,
                r-cran-apcluster,
                r-cran-rcpp
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webgestaltr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webgestaltr.git
 Homepage: https://cran.r-project.org/package=WebGestaltR

## r-cran-webgestaltr 0.4.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: WebGestaltR
 Type: Package
 Title: Gene Set Analysis Toolkit WebGestaltR
-Version: 0.4.5
-Date: 2023-02-10
+Version: 0.4.6
+Date: 2023-05-31
 Authors@R: c(
         person("Jing", "Wang", email = "jingwang.uestc@gmail.com", role = "aut"),
         person("Yuxing", "Liao", email = "yuxingliao@gmail.com", role = c("aut", "cre")),
@@ -21,7 +21,7 @@
 NeedsCompilation: yes
 LinkingTo: Rcpp
 RoxygenNote: 7.2.3
-Packaged: 2023-02-16 18:53:29 UTC; yuxingl
+Packaged: 2023-06-01 15:42:39 UTC; Yuxing
 Author: Jing Wang [aut],
   Yuxing Liao [aut, cre],
   Eric Jaehnig [ctb],
@@ -29,4 +29,4 @@
   Quanhu Sheng [ctb]
 Maintainer: Yuxing Liao <yuxingliao@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-02-16 19:10:02 UTC
+Date/Publication: 2023-06-01 16:00:02 UTC

=== debian/changelog ===
r-cran-webgestaltr (0.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 17:46:12 +0200
